Comments

264 Comments

Whew! With new container-selinux, LGTM. Passes podman and podman-remote tests, root and rootless.

Rootless is broken. Needs container-selinux 2.162 which is not building in koji.

Agreed. @lsm5 perhaps you meant to use >= for the crun requires?

With selinux-policy-34.10.1 (now in stable) and a reboot, LGTM.

Never mind: podman run --privileged is still broken even with the above selinux-policy.

Works fine with selinux-policy-34.8-1.fc34 (34.9 may break some workflows).

karma

Yay. Passes everything I can throw at it.

karma

LGTM. Passes system tests (root, rootless). I also tried creating containers under old-bad-porman, then upgrading, then podman-start and podman-ps on those. All works fine.

karma

LGTM. In addition to system tests (root & rootless) I ran several containers using old-bad-podman, then upgraded to this one, and confirmed that containers can be started and ps'ed

LGTM. A few test flakes, all of them related to apk. Probably a server outage somewhere.

karma

LGTM. Passes all system tests once nmap-ncat is installed.

On a brand-new VM, same everything, I can no longer reproduce the above podman-remote bug. Ascribing it to gremlins. LGTM.

karma

Passes podman-3.1.0-2.fc34 system tests, root and rootless. LGTM.

karma

LGTM. Passes system tests, root and rootless, local and remote.

karma

LGTM. Passes system tests, root and rootless, local and remote.

karma

LGTM. I tried podman 3.1.0-rc2 system tests using libcap-2.26-8.fc33; they failed (expected). Installed this RPM; it brought in libcap-2.48-2.fc33 (as desired). System tests then pass.

karma

Passes podman system tests (3.1.0 rc2)

LGTM. Passed(*) system tests root & rootless, local & remote.

(*) with some flakes